
# Digital Gardening

A collective of gardeners publicly tending their digital notes on the interwebs

![An illustration of a plant with an pencil edit icon](https://res.cloudinary.com/dg3gyk0gu/image/upload/c_scale,q_100,w_850/v1590401937/maggieappleton.com/digital-gardening-theory/garden-wide.png)


## Tools and Resources

  - [The Knowledge Graph Radar](https://github.com/brettkromkamp/knowledge-graph-radar)
  - [WebMentions](https://webmention.io/)
  - [Hypothesis](https://web.hypothes.is/) - social meta commentary

  ### Private Notes
  - [Roam](https://roamresearch.com/)
  - [Org Roam](https://org-roam.readthedocs.io/en/develop/installation/)
  - [Obsidian](https://obsidian.md/) -  is a Roam-like knowledge base that works on top of a local folder of plain text Markdown files.

  ### Public Notes
  - [TiddlyWiki](https://tiddlywiki.com/) - A no-code personal wiki system
  - [Stroll](https://giffmex.org/stroll/stroll.html) - A Roam-like tool built on TiddlyWiki
  - [Gitbook](https://www.gitbook.com/)
  - [React-Notion](https://github.com/splitbee/react-notion/) - allows you to publish a React-based website sources from your Notion notes - "Notion as a CMS"
  - [Gatsby Brain Theme](https://github.com/aengusmcmillin/gatsby-theme-brain) - Roam-like bidirectional links in Gatsby.js
  - [Gatsby Theme Garden](https://github.com/mathieudutour/gatsby-digital-garden/) - A set of tools to build a digital garden with Gatsby.js. Pull data from Roam Research or markdown.

## Theory, Philosophy, and Navel-Gazing

- [Of Digital Streams, Campfires and Gardens](https://tomcritchlow.com/2018/10/10/of-gardens-and-wikis/) by Tom Critchlow
- [How the Blog Broke the Web](https://stackingthebricks.com/how-blogs-broke-the-web/) by Amy Hoy
- [My blog is a digital garden, not a blog](https://joelhooks.com/digital-garden) by Joel Hooks
- [You and your mind garden](https://nesslabs.com/mind-garden) by Anne-Laure Le Cunff
- [Digital Garden Terms of Service](https://www.swyx.io/writing/digital-garden-tos/) by Shawn Wang
- [What is a digital garden?](https://www.christopherbiscardi.com/garden) by Chris Biscardi

## How-To's and Tutorials

- [How to build a digital garden with TiddlyWiki](https://nesslabs.com/digital-garden-tiddlywiki) by Anne-Laure Le Cunff
- [Install org-roam: an introductory technical guide with Doom Emacs]( https://www.ianjones.us/blog/2020-05-05-doom-emacs/) by Ian Jones
- [Building a Digital Garden](https://tomcritchlow.com/2019/02/17/building-digital-garden/) by Tom Critchlow
- [Webmentions - Joining the IndieWeb with Svelte](https://www.swyx.io/writing/clientside-webmentions) by Shawn Wang

## Digital Garden Directory

Each listed with 🛠 build tools and 🌿 note themes

- [Andy Matuschuk](https://notes.andymatuschak.org/)
  - 🛠 The Mystery Andy System
  - 🌿 Note-taking, education, tools for thought

- [Anne-Laure Le Cunff](https://www.mentalnodes.com/)
  - 🛠 TiddlyWiki
  - 🌿 Networked thinking, metacognition, evidence-based learning and self-education
  
- [Tom Critchlow](https://tomcritchlow.com/)
  - 🛠 Jekyll
  
- [Shawn Wang](https://www.swyx.io/writing)
  - 🛠 Gatsby 
  - 🌿 Web development, writing, speaking

- [Kevin Cummingham](https://kevincunningham.co.uk)
  - 🛠 Gatsby
  - 🌿 Web development, React, AWS, GraphQL
  
- [Aengus McMillin](https://aengusmcmillin.com/brain)
  - 🛠 Gatsby
  
- [Joel Hooks](https://joelhooks.com/)
  - 🛠 Next.js
  - 🌿 Bootstrapping / indie-hacking, community building, web development, 
  
- [Ian Jones](https://ianjones.us/notes)
  - 🛠 Gatsby
  - 🌿 Web development, Gatsby, Emacs

- [Maggie Appleton](http://maggieappleton.com/)
  - 🛠 Gatsby + MDX
  - 🌿 Anthropology, metaphors, visual explanations, and web development
  
- [Chris Biscardi](https://www.christopherbiscardi.com/garden)
  - 🛠 Sector / Toast?
  - 🌿 Web development, MDX, GraphQL, Gatsby

- [Wess Daniels](https://nurselog.online)
  - 🛠 Tiddlywiki (Pre-Release 5.1.23)
  - 🌿 Culture and systems change, liberation theology, tech and pedagogy 
  
- [Wayan Jimmy](https://notebook.wayanjimmy.xyz)
  - 🛠 Gatsby ([Hasura Gitbook Starter](https://github.com/hasura/gatsby-gitbook-starter))
  - 🌿 Coding, Learning notes
  
